/*
 * grid.h: interface to the Grid class
 */

class Grid {
private:
  int ncols;
  int nrows;
  int ntimeSteps;
  int currentStep;
  Index idx;
  Element* elem;
  double minResult, maxResult;

  bool generateArray();
  void addNeighbours();

public:
  bool isDrawing;

  Grid();
  Grid(int, int, int);
  ~Grid() {} // no destructor

  void init();
  void destroy();
  void step();
  bool nextStep();
  void output();
  void draw();
};

// 'grid' has scope whereever this header file is included
extern Grid grid;

/*
 * E N D  O F  F I L E
 */
