/*
 * element.h: interface to Element class
 */

class Element {
private:
  double u, v;
  Element* leftElemPtr;
  Element* rightElemPtr;
  Element* aboveElemPtr;
  Element* belowElemPtr;

public:
  double result;

  Element();
  ~Element() {}

  void addNeighbours(Element*, Element*, Element*, Element*);
  void init(double, double);
  void update();
  void normalise();
  double length();
  double sumOfParts();
};

